<!-- File Selector -->
<html>

<head>
<title>{%const:title%} - {%title%}{%const:long%}</title>
{%glo:PageEncoding%}
<link rel="stylesheet" href="{%glo:cfgWebRoot%}gui/style.css" type="text/css">
<script language=javascript for=window event=onload>
<!--
  //document.Form.Input.value = window.dialogArguments;
// -->
</script>
<script language="JavaScript">
<!--
function OkClick() {
	if (window.dialogArguments == 1){
		var arr = new Array();
		arr = document.Form.Input.value;
		window.returnValue = arr;
		window.close();
	}else{
    arr = document.Form.Input.value;
    document.getElementById('iframe').src = '?module=files&action=docopy&path={%glo:path%}&site_id={%glo:site_id%}&over='+arr+'&file={%str:file%}&move={%str:move%}';

		//console.log('?module=files&action=docopy&path={%glo:path%}&site_id={%glo:site_id%}&over='+arr+'&file={%str:file%}&move={%str:move%}');
		window.setTimeout(function(){

    	if(typeof opener_callback_function == 'function'){
		  	opener_callback_function(arr);
		  }

    	window.close();

		}, 500);
  }
}
// -->
</script>
</head>

<body bgcolor="#E8E8E8">
<form name="Form">
<input type="hidden" name="Path" value="">
<table width="100%" height="100%" cellpadding="3" cellspacing="3" border="0">
  <tr>
    <td colspan="3" width="100%">
    <iframe frameborder="1" id="iframe" name="iframe" width="100%" height="100%" src="{%str:frame%}" style="z-index:1;" scrolling="auto"></iframe>
    </td>
  </tr>
  <tr>
    <td height="25" width="30%" align="left" nowrap>
    {%%if:canmanagefiles:ok%%}
    <input type="button" value="{%langstr:make_directory%}" OnClick="document.iframe.location='?module=files&action=newdir&close=no&dironly=1&site_id={%glo:site_id%}&view={%glo:view%}&path='+document.Form.Path.value;">
    {%%endif%%}
    </td>
    <td height="25" width="20%" align="right" nowrap>{%str:label%}</td>
    <td height="25" width="50%" align="left"><input name="Input" type="text" style="width: 100%" value="/"></td>
  </tr>
  <tr>
    <td height="30" width="25%" align="left"></td>
    <td height="30" width="25%" align="left"></td>
    <td height="30" width="50%" align="right">
    <input type="button" id="Ok" name="Ok" class="formButton" tabindex="1" value="&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;" OnClick="OkClick();">
    <input type="button" id="Cancel" name="Cancel" class="formButton" value="Cancel" OnClick="window.close();">
    </td>
  </tr>
</table>
</form>
</body>

</html>
